#!/bin/sh
source "/var/packages/SafeAccess/target/scripts/dnsfilter-util.sh"
SYNOSAFEBROWSING_TOOL="/var/packages/SafeAccess/target/bin/safe_browsing_client"

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "SynorouterClient"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
		if [ "safebrowsing-database" = "${DATABASE}" ]; then
			/sbin/stop synosafeaccessfilterd
			${SYNOSAFEBROWSING_TOOL} --disable
		fi
	;;
	--post)
		if [ "safebrowsing-database" = "${DATABASE}" ]; then
			${SYNOSAFEBROWSING_TOOL} --enable
			start_synosafeaccessfilterd_if_required
		fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

